variables:
  FF_GITLAB_REGISTRY_HELPER_IMAGE: 1
  terraform_image: "hashicorp/terraform:1.2.5"

stages:
  - entrygate

default:
  tags:
  - pool_name:shared_projects

tfsec:
  stage: entrygate
  image:
    name: aquasec/tfsec-ci:v1.15
  script:
    - ./do.sh tfsec_scan
  parallel:
    matrix:
      - scan_dir: ["modules/janitor", "modules/janitor-role", "example/ecr-account", "example/usage-account"]
  artifacts:
    reports:
      junit: "${CI_JOB_ID}.tfsec.out.xml"
    paths:
      - "${CI_JOB_ID}.tfsec.out.xml"

fmt:
  stage: entrygate
  image:
    name: ${terraform_image}
    entrypoint: [""]
  script:
    - ./do.sh fmt_check

validate:
  stage: entrygate
  image:
    name: ${terraform_image}
    entrypoint: [""]
  script:
    - ./do.sh validate